# Console class

class pymeasure.display.console.ConsoleArgumentParser(procedure_class, **kwargs)

  Bases: `ArgumentParser`

  setup_parser()

    Setup command line arguments parsing from parameters information

class pymeasure.display.console.ConsoleBrowserItem(progress_bar)

  Bases: `BaseBrowserItem`

class pymeasure.display.console.ManagedConsole(procedure_class, log_channel='', log_level=20)

  Bases: `QCoreApplication`

  Base class for console experiment management.

  Parameters for `__init__` constructor.

  Parameters:

    - procedure_class – procedure class describing the experiment (see `Procedure`)

    - log_channel – `logging.Logger` instance to use for logging output

    - log_level – logging level

  abort()

    Aborts the currently running Experiment, but raises an exception if there is no running experiment

  exec() → int
  get_filename(directory, procedure=None)

    Return filename for saving results file

    Parameters:

      directory – directory of the returned filename.